PowerPoint1ParserInternal::SubDocument Class Reference documentation

Public Member Functions | Protected Attributes | Private Member Functions | List of all members
PowerPoint1ParserInternal::SubDocument Class Referencefinal

Internal: the subdocument of a PowerPointParser. More...

Inheritance diagram for PowerPoint1ParserInternal::SubDocument:

## Public Member Functions
| SubDocument (PowerPoint1Parser &pars, MWAWInputStreamPtr const &input, TextZone const *textZone, MWAWVec2i const &tId, int rulerId)
| constructor for text More...
| SubDocument (PowerPoint1Parser &pars, MWAWInputStreamPtr const &input, Slide const *slide)
| constructor for slide note More...
| ~SubDocument () final
| destructor More...
bool | operator!= (MWAWSubDocument const &doc) const final
| operator!= More...
void | parse (MWAWListenerPtr &listener, libmwaw::SubDocumentType type) final
| the parser function More...
Public Member Functions inherited from MWAWSubDocument
| MWAWSubDocument (MWAWParser *pars, MWAWInputStreamPtr const &ip, MWAWEntry const &z)
| constructor from parser, input stream and zone in the input More...
| MWAWSubDocument (MWAWSubDocument const &doc)=default
| copy constructor More...
MWAWSubDocument & | operator= (MWAWSubDocument const &doc)=default
| copy operator More...
virtual | ~MWAWSubDocument ()
| virtual destructor More...
bool | operator== (MWAWSubDocument const &doc) const
| comparison operator== More...
bool | operator!= (std::shared_ptr< MWAWSubDocument > const &doc) const
| comparison operator!= More...
bool | operator== (std::shared_ptr< MWAWSubDocument > const &doc) const
| comparison operator== More...

## Protected Attributes
const Slide * | m_slide
| the slide More...
const TextZone * | m_textZone
| the text zone More...
MWAWVec2i | m_id
| the text id in text zone More...
int | m_rulerId
| the ruler id More...
Protected Attributes inherited from MWAWSubDocument
MWAWParser * | m_parser
| the main zone parser More...
std::shared_ptr< MWAWInputStream > | m_input
| the input More...
MWAWEntry | m_zone
| if valid the zone to parse More...

## Private Member Functions
| SubDocument (SubDocument const &)=delete
SubDocument & | operator= (SubDocument const &)=delete

## Detailed Description

Internal: the subdocument of a PowerPointParser.

## Constructor & Destructor Documentation

## ◆ SubDocument() [1/3]

PowerPoint1ParserInternal::SubDocument::SubDocument | ( | PowerPoint1Parser & | pars,
|  | MWAWInputStreamPtr const & | input,
|  | TextZone const * | textZone,
|  | MWAWVec2i const & | tId,
|  | int | rulerId
| ) |  |
| inline

constructor for text

## ◆ SubDocument() [2/3]

PowerPoint1ParserInternal::SubDocument::SubDocument | ( | PowerPoint1Parser & | pars,
|  | MWAWInputStreamPtr const & | input,
|  | Slide const * | slide
| ) |  |
| inline

constructor for slide note

## ◆ ~SubDocument()

PowerPoint1ParserInternal::SubDocument::~SubDocument | ( |  | ) |
| inlinefinal

destructor

## ◆ SubDocument() [3/3]

PowerPoint1ParserInternal::SubDocument::SubDocument | ( | SubDocument const & |  | ) |
| privatedelete

## Member Function Documentation

## ◆ operator!=()

bool PowerPoint1ParserInternal::SubDocument::operator!= | ( | MWAWSubDocument const & | doc | ) | const
| inlinefinalvirtual

operator!=

Reimplemented from MWAWSubDocument.

## ◆ operator=()

SubDocument& PowerPoint1ParserInternal::SubDocument::operator= | ( | SubDocument const & |  | ) |
| privatedelete

## ◆ parse()

void PowerPoint1ParserInternal::SubDocument::parse | ( | MWAWListenerPtr & | listener,
|  | libmwaw::SubDocumentType | type
| ) |  |
| finalvirtual

the parser function

Implements MWAWSubDocument.

## Member Data Documentation

## ◆ m_id

MWAWVec2i PowerPoint1ParserInternal::SubDocument::m_id
| protected

the text id in text zone

Referenced by operator!=(), and parse().

## ◆ m_rulerId

int PowerPoint1ParserInternal::SubDocument::m_rulerId
| protected

the ruler id

Referenced by operator!=(), and parse().

## ◆ m_slide

const Slide* PowerPoint1ParserInternal::SubDocument::m_slide
| protected

the slide

Referenced by operator!=(), and parse().

## ◆ m_textZone

const TextZone* PowerPoint1ParserInternal::SubDocument::m_textZone
| protected

the text zone

Referenced by operator!=(), and parse().

The documentation for this class was generated from the following file:

- PowerPoint1Parser.cxx